### Method

# Cogl DepthState get_range

#### Declaration [src]

    void
    cogl_depth_state_get_range (
      CoglDepthState* state,
      float* near_val,
      float* far_val
    )

#### Description [src]

Gets the current range to which normalized depth values are mapped before writing to the depth buffer. This corresponds to the range set with cogl_depth_state_set_range().

#### Parameters

`near_val`

  Type: `float*`

  A pointer to store the near component of the depth range.

  The data is owned by the caller of the method.

`far_val`

  Type: `float*`

  A pointer to store the far component of the depth range.

  The data is owned by the caller of the method.